/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.template_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.template_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.template_test');
dojo.require('epages.template');
dojo.require('epages.lang.array');

dojo.extend(epages.Template, {
	test: /*Boolean*/ function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	  var template = new epages.Template();
		//		boolean = template.test(eTest);
		//		// returns true if all test are successfully
		eTest.setPlanned(3);
		eTest.ok(1, 'loaded');

		this.setTemplate('(%key%) is (%value%)');
		var result = this.processHash({
			key		: 'schluessel',
			value	: 'wert'
		});
		eTest.ok('schluessel is wert' == result, result);

		result = this.processLoop($A([{
			key		: 'schluessel',
			value	: 'wert'
		},{
			key		: 'key',
			value	: 'value'
		}]));
		eTest.ok('schluessel is wertkey is value' == result, result);

		return eTest.planned == eTest.correct ? true : false;
	}
});

}
